Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.config
Class Space

    java.lang.Object
      org.esupportail.portal.channels.CStockage.config.Space

public class Space
extends java.lang.Object

Id: Space.java,v 1.0 9 juil. 2004
Copyright (c) 2004 Esup Portail (www.esup-portail.org)
Classes: Space
Original Author: Yohan Colmant
This represents a file space on the server

Field Summary
`private ServerAccess` | `access` The attribute used to access the server
`private java.lang.String` | `actionType` The channel action type
`private java.util.ArrayList` | `authorizations` The authorization list for this space
`private AbstractChannelAction` | `channelAction` To manage the actions in funtion of the access class
`private java.lang.String` | `channelActionClass` The class name used to manage the actions
`private java.util.Vector` | `currentPath` The currentPath used
`private SharedSpaceProperties` | `currentViewer` The target for the sharing: the user key or the group key
`private java.lang.String` | `enableSharing` If this space can support the document sharing
`private java.lang.String` | `initialPathFromTheConfigurationFile` The path in the initial configuration file
`private java.lang.String` | `key` The space key
`private java.lang.String` | `label` The label of this space
`protected static Log` | `log` Logger object
`private java.lang.String` | `metadataNamespace` The namespace used for the metadata
`private java.lang.String` | `pathRegexp` The regexp used to apply on the path
`private java.lang.String` | `pathRegexpSeparator` The separator used when the regexp is in few parts
`private boolean` | `personnalSpace` If this space is a personnal one
`private Server` | `server` The server object for this space
`private DirectorySharingProperties` | `targetsOfSharing` The sharing directory properties of the current space

Constructor Summary
`Space()`

Method Summary
`void` | `addPathElement(java.lang.String pathElement)` Add a path element to the current directory
`boolean` | `canRead(ServerAccess access)` Check if we are authorized to read this space
`void` | `checkAttribute(java.lang.String attributeName, org.jasig.portal.security.IPerson person)` we look for a {...} form in the attribute.
`void` | `checkPath(org.jasig.portal.security.IPerson person)` We check if the is a {...} form in the path.
`java.lang.Object` | `clone()` Clone this object
`java.lang.Object` | `cloneWithServer()` Clone this object
`boolean` | `equals(java.lang.Object o)` Compare this to another object
`java.lang.String` | `getAclGroupPrefix()`
`java.lang.String` | `getAclNamespace()`
`java.lang.String` | `getAclUportalGroup()`
`java.lang.String` | `getAclUserPrefix()`
`java.lang.String` | `getActionType()`
`java.lang.String` | `getAuthenticationMode()`
`java.util.ArrayList` | `getAuthorization()` return the authorization list
`java.lang.String` | `getChannelActionClass()`
`AbstractChannelAction` | `getChannelActionObject()` Get the channel action object
`java.lang.String` | `getCifsDisablePlainTextPassword()`
`java.lang.String` | `getCifsDomain()`
`java.lang.String` | `getCifsResolveOrder()`
`java.lang.String` | `getCurrentPath()`
`SharedSpaceProperties` | `getCurrentViewer()`
`java.lang.String` | `getEnableSharing()`
`java.lang.String` | `getInitialLoginFromTheConfigurationFile()`
`java.lang.String` | `getKey()`
`java.lang.String` | `getLabel()`
`java.lang.StringBuffer` | `getLocalXml()` Get the xml in the configuration file style
`java.lang.String` | `getLogin()`
`java.lang.String` | `getMetadataNamespace()`
`java.lang.String` | `getNfsGidNumber()`
`java.lang.String` | `getNfsUidNumber()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getPath()`
`private java.lang.String` | `getPath(java.util.Vector currentPath)` Return the path due to a current path vector
`java.lang.String` | `getPathElementAt(int index)` Return the current element path at the good index
`java.lang.String` | `getPathRegexp()`
`java.lang.String` | `getPathRegexpSeparator()`
`int` | `getPathSize()` Return the path size
`Server` | `getServer()`
`ServerAccess` | `getServerAccessObject()` Return the object used to access the server
`java.lang.String` | `getServerType()`
`DirectorySharingProperties` | `getTargetsOfSharing()`
`java.lang.String` | `getUrl()`
`java.lang.String` | `getXml()` Get the xml in the configuration file style
`private boolean` | `hasAclParameterSet()`
`private java.util.Vector` | `initPath(java.lang.String path)`
`void` | `initServerAccessObject(org.jasig.portal.security.IPerson person)` init the server access object for this space
`boolean` | `isAskedAuthentication()` If the selected authentication is ASKED
`boolean` | `isCasAuthentication()` If the selected authentication is CAS
`boolean` | `isLoginIsFromConfigurationFile()`
`boolean` | `isPersonnalSpace()`
`boolean` | `isSharing()`
`boolean` | `isTrustedAuthentication()` If the selected authentication is TRUSTED
`boolean` | `managesAcl()`
`void` | `removePathElement(int index)` Remove an element from the current path
`void` | `setActionType(java.lang.String actionType)`
`void` | `setAuthorization(AuthorizationSpaceParameter authorization)` add a new authorization to the list
`void` | `setChannelActionClass(java.lang.String channelActionClass)`
`boolean` | `setChannelActionObject(org.jasig.portal.security.IPerson person, java.util.ArrayList spaces, BufferAction buffer, java.lang.String userPortalLogin, java.util.Vector userGroups)` Set the object used to manage the actions of the channel
`void` | `setCurrentViewer(SharedSpaceProperties currentViewer)`
`void` | `setEnableSharing(java.lang.String enableSharing)`
`void` | `setKey(java.lang.String key)`
`void` | `setLabel(java.lang.String label)`
`void` | `setLogin(java.lang.String login)`
`void` | `setMetadataNamespace(java.lang.String metadataNamespace)`
`void` | `setPassword(java.lang.String password)`
`void` | `setPath(java.lang.String path)`
`void` | `setPathRegexp(java.lang.String pathRegexp)`
`void` | `setPathRegexpSeparator(java.lang.String pathRegexpSeparator)`
`void` | `setPersonnalSpace(boolean personnalSpace)`
`void` | `setServer(Server server)`
`void` | `setServerAccessClass(java.lang.String serverAccessClass)`
`boolean` | `setServerAccessObject()` Set the server access object for this space
`void` | `setTargetsOfSharing(DirectorySharingProperties targetsOfSharing)`
`java.lang.String` | `toString()` Return a String representation of this space

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static final Log log

  Logger object

### server

    private Server server

  The server object for this space

### key

    private java.lang.String key

  The space key

### label

    private java.lang.String label

  The label of this space

### initialPathFromTheConfigurationFile

    private java.lang.String initialPathFromTheConfigurationFile

  The path in the initial configuration file

### pathRegexp

    private java.lang.String pathRegexp

  The regexp used to apply on the path

### pathRegexpSeparator

    private java.lang.String pathRegexpSeparator

  The separator used when the regexp is in few parts

### currentPath

    private java.util.Vector currentPath

  The currentPath used

### actionType

    private java.lang.String actionType

  The channel action type

### channelActionClass

    private java.lang.String channelActionClass

  The class name used to manage the actions

### metadataNamespace

    private java.lang.String metadataNamespace

  The namespace used for the metadata

### enableSharing

    private java.lang.String enableSharing

  If this space can support the document sharing

### access

    private ServerAccess access

  The attribute used to access the server

### channelAction

    private AbstractChannelAction channelAction

  To manage the actions in funtion of the access class

### authorizations

    private java.util.ArrayList authorizations

  The authorization list for this space

### personnalSpace

    private boolean personnalSpace

  If this space is a personnal one

### currentViewer

    private SharedSpaceProperties currentViewer

  The target for the sharing: the user key or the group key

### targetsOfSharing

    private DirectorySharingProperties targetsOfSharing

  The sharing directory properties of the current space

Constructor Detail

### Space

    public Space()

Method Detail

### getCurrentViewer

    public SharedSpaceProperties getCurrentViewer()

  Returns:
    Returns the currentViewer.

### setCurrentViewer

    public void setCurrentViewer(SharedSpaceProperties currentViewer)

  Parameters:
    `currentViewer` - The targetOfsharing to set.

### getTargetsOfSharing

    public DirectorySharingProperties getTargetsOfSharing()

  Returns:
    Returns the targetsOfSharing.

### setTargetsOfSharing

    public void setTargetsOfSharing(DirectorySharingProperties targetsOfSharing)

  Parameters:
    `targetsOfSharing` - The targetsOfSharing to set.

### getServer

    public Server getServer()

  Returns:
    Returns the server.

### setServer

    public void setServer(Server server)

  Parameters:
    `server` - The server to set.

### getMetadataNamespace

    public java.lang.String getMetadataNamespace()

  Returns:
    Returns the metadataNamespace.

### setMetadataNamespace

    public void setMetadataNamespace(java.lang.String metadataNamespace)

  Parameters:
    `metadataNamespace` - The metadataNamespace to set.

### managesAcl

    public boolean managesAcl()
                       throws PropertiesException

  Returns:
    Returns the manageAcl.
  Throws:
    `PropertiesException`

### getAuthorization

    public java.util.ArrayList getAuthorization()

  return the authorization list

  Returns:
    the authorization list

### setAuthorization

    public void setAuthorization(AuthorizationSpaceParameter authorization)

  add a new authorization to the list

  Parameters:
    `authorization` - the authorization to add

### getCifsDisablePlainTextPassword

    public java.lang.String getCifsDisablePlainTextPassword()

  Returns:
    Returns the cifsDisablePlainTextPassword.

### getCifsDomain

    public java.lang.String getCifsDomain()

  Returns:
    Returns the cifsDomain.

### getCifsResolveOrder

    public java.lang.String getCifsResolveOrder()

  Returns:
    Returns the cifsResolveOrder.

### getActionType

    public java.lang.String getActionType()

  Returns:
    Returns the actionType.

### setActionType

    public void setActionType(java.lang.String actionType)

  Parameters:
    `actionType` - The actionType to set.

### getServerType

    public java.lang.String getServerType()

  Returns:
    Returns the serverType.

### getAclUportalGroup

    public java.lang.String getAclUportalGroup()

  Returns:
    Returns the aclUportalGroup.

### getAclUserPrefix

    public java.lang.String getAclUserPrefix()

  Returns:
    Returns the aclUserPrefix.

### getAclGroupPrefix

    public java.lang.String getAclGroupPrefix()

  Returns:
    Returns the aclGroupPrefix.

### getAclNamespace

    public java.lang.String getAclNamespace()

  Returns:
    Returns the aclNamespace.

### hasAclParameterSet

    private boolean hasAclParameterSet()

  Returns:
    Returns the supportAcl.

### isPersonnalSpace

    public boolean isPersonnalSpace()

  Returns:
    Returns the personnalSpace.

### setPersonnalSpace

    public void setPersonnalSpace(boolean personnalSpace)

  Parameters:
    `personnalSpace` - The personnalSpace to set.

### isCasAuthentication

    public boolean isCasAuthentication()
                                throws PropertiesException

  If the selected authentication is CAS

  Returns:
    trus is cas is selected
  Throws:
    `PropertiesException`

### isTrustedAuthentication

    public boolean isTrustedAuthentication()
                                    throws PropertiesException

  If the selected authentication is TRUSTED

  Returns:
    true if trusted is selected
  Throws:
    `PropertiesException`

### isAskedAuthentication

    public boolean isAskedAuthentication()
                                  throws PropertiesException

  If the selected authentication is ASKED

  Returns:
    true if asked is selected
  Throws:
    `PropertiesException`

### getLogin

    public java.lang.String getLogin()

  Returns:
    Returns the login.

### setLogin

    public void setLogin(java.lang.String login)

  Parameters:
    `login` - The login to set.

### isLoginIsFromConfigurationFile

    public boolean isLoginIsFromConfigurationFile()

  Returns:
    Returns the loginIsFromConfigurationFile.

### getInitialLoginFromTheConfigurationFile

    public java.lang.String getInitialLoginFromTheConfigurationFile()

  Returns:
    Returns the initialLoginFromTheConfigurationFile.

### getPassword

    public java.lang.String getPassword()
                                 throws PropertiesException

  Returns:
    Returns the password.
  Throws:
    `PropertiesException`

### setPassword

    public void setPassword(java.lang.String password)

  Parameters:
    `password` - The trustedPassword to set.

### getUrl

    public java.lang.String getUrl()
                            throws PropertiesException

  Returns:
    Returns the url.
  Throws:
    `PropertiesException`

### getAuthenticationMode

    public java.lang.String getAuthenticationMode()

  Returns:
    Returns the authenticationMode.

### setServerAccessClass

    public void setServerAccessClass(java.lang.String serverAccessClass)

  Parameters:
    `serverAccessClass` - The serverAccessClass to set.

### getChannelActionClass

    public java.lang.String getChannelActionClass()

  Returns:
    Returns the accessClass.

### setChannelActionClass

    public void setChannelActionClass(java.lang.String channelActionClass)

  Parameters:
    `channelActionClass` - The channelActionClass to set.

### getKey

    public java.lang.String getKey()

  Returns:
    Returns the key.

### setKey

    public void setKey(java.lang.String key)

  Parameters:
    `key` - The key to set.

### getLabel

    public java.lang.String getLabel()

  Returns:
    Returns the label.

### setLabel

    public void setLabel(java.lang.String label)

  Parameters:
    `label` - The label to set.

### getPathRegexp

    public java.lang.String getPathRegexp()

  Returns:
    Returns the pathRegexp.

### setPathRegexp

    public void setPathRegexp(java.lang.String pathRegexp)

  Parameters:
    `pathRegexp` - The pathRegexp to set.

### getPathRegexpSeparator

    public java.lang.String getPathRegexpSeparator()

  Returns:
    Returns the pathRegexpSeparator.

### setPathRegexpSeparator

    public void setPathRegexpSeparator(java.lang.String pathRegexpSeparator)

  Parameters:
    `pathRegexpSeparator` - The pathRegexpSeparator to set.

### setPath

    public void setPath(java.lang.String path)

  Parameters:
    `path` - The path to set.

### initPath

    private java.util.Vector initPath(java.lang.String path)

  Parameters:
    `path` - The path to set.

### getCurrentPath

    public java.lang.String getCurrentPath()

  Returns:
    Returns the path.

### getPath

    public java.lang.String getPath()

  Returns:
    Returns the path.

### getPath

    private java.lang.String getPath(java.util.Vector currentPath)

  Return the path due to a current path vector

  Parameters:
    `currentPath` -
  Returns:
    the space current path

### checkPath

    public void checkPath(org.jasig.portal.security.IPerson person)

  We check if the is a {...} form in the path. If yes, we replace by the real value

  Parameters:
    `person` - the connected person

### checkAttribute

    public void checkAttribute(java.lang.String attributeName,
                               org.jasig.portal.security.IPerson person)

  we look for a {...} form in the attribute. If yes, we replace it with the real value

  Parameters:
    `attributeName` - to check
    `person` - uPortal person object

### addPathElement

    public void addPathElement(java.lang.String pathElement)

  Add a path element to the current directory

  Parameters:
    `pathElement` -

### removePathElement

    public void removePathElement(int index)

  Remove an element from the current path

  Parameters:
    `index` -

### getPathSize

    public int getPathSize()

  Return the path size

  Returns:
    the size

### getPathElementAt

    public java.lang.String getPathElementAt(int index)

  Return the current element path at the good index

  Parameters:
    `index` - the selected index
  Returns:
    a string

### canRead

    public boolean canRead(ServerAccess access)

  Check if we are authorized to read this space

  Parameters:
    `access` - the object used to access the server
  Returns:
    true if authorized else false

### setServerAccessObject

    public boolean setServerAccessObject()
                                  throws PropertiesException,
                                         java.lang.ClassNotFoundException,
                                         java.lang.InstantiationException,
                                         java.lang.IllegalAccessException,
                                         java.net.MalformedURLException,
                                         ApplicationException

  Set the server access object for this space

  Returns:
    true if we can access this space, else false
  Throws:
    `java.lang.ClassNotFoundException`
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`
    `java.net.MalformedURLException`
    `ApplicationException`
    `PropertiesException`

### getServerAccessObject

    public ServerAccess getServerAccessObject()

  Return the object used to access the server

  Returns:
    the object used to access the server

### initServerAccessObject

    public void initServerAccessObject(org.jasig.portal.security.IPerson person)
                                throws java.net.MalformedURLException,
                                       PropertiesException

  init the server access object for this space

  Parameters:
    `person` - the uportal person object
  Throws:
    `java.net.MalformedURLException`
    `PropertiesException`

### setChannelActionObject

    public boolean setChannelActionObject(org.jasig.portal.security.IPerson person,
                                          java.util.ArrayList spaces,
                                          BufferAction buffer,
                                          java.lang.String userPortalLogin,
                                          java.util.Vector userGroups)
                                   throws ChannelException

  Set the object used to manage the actions of the channel

  Parameters:
    `person` - the uPortal person object
    `spaces` - the spaces used
    `buffer` - the buffer used to get for example the clipboard
    `userPortalLogin` - The user login in the portal
    `userGroups` - The groups of the user in the portal
  Returns:
    true if well done
  Throws:
    `ChannelException`

### getChannelActionObject

    public AbstractChannelAction getChannelActionObject()

  Get the channel action object

  Returns:
    the channel action object

### getNfsGidNumber

    public java.lang.String getNfsGidNumber()

  Returns:
    Returns the nfsGidNumber.

### getNfsUidNumber

    public java.lang.String getNfsUidNumber()

  Returns:
    Returns the nfsUidNumber.

### isSharing

    public boolean isSharing()
                      throws PropertiesException

  Returns:
    Returns the sharing.
  Throws:
    `PropertiesException`

### setEnableSharing

    public void setEnableSharing(java.lang.String enableSharing)

  Parameters:
    `enableSharing` - The enableSharing to set.

### getEnableSharing

    public java.lang.String getEnableSharing()

  Returns:
    Returns the enableSharing.

### toString

    public java.lang.String toString()

  Return a String representation of this space

### equals

    public boolean equals(java.lang.Object o)

  Compare this to another object

  Parameters:
    `o` - object to compare

### clone

    public java.lang.Object clone()

  Clone this object

  Returns:
    a clone of this object

### cloneWithServer

    public java.lang.Object cloneWithServer()

  Clone this object

  Returns:
    a clone of this object

### getLocalXml

    public java.lang.StringBuffer getLocalXml()

  Get the xml in the configuration file style

  Returns:
    the xml in the configuration file style

### getXml

    public java.lang.String getXml()

  Get the xml in the configuration file style

  Returns:
    the xml in the configuration file style

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD